Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Oct 2014, 02:04
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Chromium 38 with pepper-flash
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 8 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Author Message
z_weld

Joined: 17 Sep 2013
Posts: 1

PostPosted: Tue 17 Sep 2013, 08:42    Post_subject:  

Hello, I just installed the latest chromium.pet on my macpup550

I managed to open up chromium without issues, but when I got into youtube.com and a couple of seconds after flash tried to play a video, chromium crashed and I got this message..

dont know what it means, just reporting it...
chromi7umerror.jpg
 Description   log
 Filesize   48.61 KB
 Viewed   2321 Time(s)

chromi7umerror.jpg

Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Tue 17 Sep 2013, 15:43    Post_subject:  

z_weld wrote:
Hello, I just installed the latest chromium.pet on my macpup550

I managed to open up chromium without issues, but when I got into youtube.com and a couple of seconds after flash tried to play a video, chromium crashed and I got this message..

dont know what it means, just reporting it...


Hi

No real answers I'm afraid - Macpup550 is based on Precise 5.5 so it may be worth trying an earlier version of Chromium - say 25.

Also, which flashplayer does Macpup come with? If it is an older version it may be worth trying updating to a later version....

Then, Macpup has E17 - it might be worth seeing if the error occurs with vanilla Precise 5.5 (or 5.7.1 as Precise is now).

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Mon 21 Oct 2013, 14:37    Post_subject: Chrome 30 sfs  

Whilst waiting for the next Chromium to become available on slacky.eu I have made an sfs of Chrome 30.1599.101

This version runs "as is" on Precise 5.7.1 and Upup Raring 3.9.9.2 HOWEVER Slacko 5.6 needs GConf-3.2.5 installing - use the Puppy Package Manager and search for gconf from the Slackware 14.0 Official repository. Adds about 1MB.

The sfs (47MB) can be downloaded from:
chrome-30.0.1599.101-i386-1sl.sfs

If you need a pet - can I suggest that you create a pet from the sfs - just click on the sfs to extract its contents into a folder and then use dir2pet from a terminal to make the folder into a pet.

If you worry about such things, chrome://sandbox indicates that this version is not "adequately sandboxed".

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Wed 23 Oct 2013, 04:09    Post_subject: Chromium 30.0.1599.101  

The sfs (c. 36MB - xz compressed) of chromium-30.0.1599.101 can be downloaded from:

33e426a5108cbcb8fb6c548a94820346 chromium-30.0.1599.101-i486-2sl.sfs

Repackaging of chromium-30.0.1599.101-i486-2sl.txz originally from
http://repository.slacky.eu/slackware-14.0/network/chromium/30.0.1599.101/

Tested to work OK on both Precise Puppy 5.7.1 & Slacko 5.6 & Upup Raring 3.9.9 & LxPup 13.10

This version still shows an annoying message each time it starts about missing Google API-Keys...

If you need a pet - can I suggest that you create a pet from the sfs - just click on the sfs and copy its contents into a new folder and then use dir2pet from a terminal to make the folder into a pet.

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Sun 01 Dec 2013, 15:59    Post_subject:  

HI peebee; I`m making a RoxApp type package from your Chromium and I`ve hit a snag.

Your run script does: chmod 4755 /usr/lib/chromium/chrome-sandbox
So you`re relying on Puppy`s union Save file to create another modded chrome-sandbox file.
This leaves an orphan chrome-sandbox file when the SFS is removed. Not the best idea...
But worse for me is that no-install apps don`t use the union, so an SFS file can`t be chmod.

If this were just for me, I`d make a new SFS file with chrome-sandbox having the correct mod.
But for a Puppy forum download, to have to make a new SFS file is just way too much effort.

# Would it be possible for you to remake your SFS file so chrome-sandbox is mod 4755 ?

Many thanks for any help you can provide peebee. Terry B.
.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Sun 01 Dec 2013, 17:51    Post_subject:  

sunburnt wrote:
# Would it be possible for you to remake your SFS file so chrome-sandbox is mod 4755 ?

Many thanks for any help you can provide peebee. Terry B.
.

Hi sunburnt

Changes made as requested and sfs uploaded (new location and new md5).

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Sun 01 Dec 2013, 20:31    Post_subject:  

WOW...! Talk about developer response.! A different site url I see... Thanks peebee.

A thought: SFS files have no way to cleanup after themselves, so I avoid making new dirs/files.
No-install apps like RoxApp and AppDir can cleanup and pretty much do anything.

Utilities like seaside`s ExeSfs or SfsExe ( can`t remember which ) and RSHs work with SFS
come real close to the same thing, the ability to change the environment for the app.

# And now the next problem, it`s essentially the same problem I had with OscarTalks Yandex site.
Your Box site won`t give me the actual download url, and Yandex mangles their urls.
There`s really nothing the 2 of you can do about that.

# But your first site worked great with my downloader. Why the different site?

### Do you by chance have your Chromium-30 SFS file mirrored at Smokey`s site.?
.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Mon 02 Dec 2013, 03:45    Post_subject:  

sunburnt wrote:
# But your first site worked great with my downloader. Why the different site?

### Do you by chance have your Chromium-30 SFS file mirrored at Smokey`s site.?


Hi

There is a problem with e-nautia in that you cannot upload a new version of a file without e-nautia changing it's name.

I did wonder if changing to Box might be a problem.

I don't have a Smokey account....

I have uploaded to e-nautia -
http://e-nautia.com/peebee/disk/share/chromium/chromium-30.0.1599.101-i486-2sl (2).sfs
and as you can see it now has " (2)" appended and I can't use the forum [url] function on it.

also to Sourceforge -
http://sourceforge.net/projects/lxpup/files/Other/chromium-30.0.1599.101-i486-2sl.sfs/download

Do either of these work??

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Mon 02 Dec 2013, 14:16    Post_subject:  

Sourceforge`s url is: http://sourceforge.net/projects/lxpup/files/latest/download
Which pops up a Firefox download, so I`m not sure... There`s no FileName in the url.
I`ll check it out and see what luck we have.

# Ally responded to my post about web sites. I`m going to see if his is usable, let you know.
.
Back to top
View user's profile Send_private_message 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Mon 02 Dec 2013, 18:17    Post_subject:  

Hey peebee; I tried your Chrome-30.....i386 from e-nautica and the url is usable.
This site is nice and fast and doesn`t buck the download off after awhile.

Again however, the sandbox file is the wrong mode, 755 not 4755.
One way or the other, both files have their problems. Laughing

I already have Chrome-24 running as a no-install AppPkg. So Chrome`s easy to do.
.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Tue 03 Dec 2013, 06:02    Post_subject:  

sunburnt wrote:
Again however, the sandbox file is the wrong mode, 755 not 4755.

Hi sunburnt

I've uploaded it to e-nautia with a slightly different name:
http://e-nautia.com/peebee/disk/share/chromium/chromium-30.0.1599.101-i486.sfs

It wouldn't download for me with Pwsget with the " (2)" name....

When I install it chrome-sandbox has the correct permissions - I don't get any errors when I run it from the terminal (under Slacko 5.6).

Cheers
peebee
Screenshot_2013-12-03.png
 Description   
 Filesize   27.08 KB
 Viewed   1933 Time(s)

Screenshot_2013-12-03.png


_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Tue 03 Dec 2013, 23:19    Post_subject:  

I`ll take a look... Tx. for the help.!
Back to top
View user's profile Send_private_message 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Wed 04 Dec 2013, 01:55    Post_subject:  

I have a SFS file: chromium-30.0.1568.0.sfs
But I don`t know where I got it. It`s the only one that works for me, but I don`t have a url for it.

### Is it yours peebee.?
Back to top
View user's profile Send_private_message 
sunburnt


Joined: 08 Jun 2005
Posts: 5037
Location: Arizona, U.S.A.

PostPosted: Wed 04 Dec 2013, 03:00    Post_subject:  

Update on SFS file: chromium-30.0.1599.101-i486.sfs

Used same setup ( 1 link: /usr/lib/chromium ) that worked with: chromium-30.0.1568.0.sfs
### Please see post above and let me know if it`s your file peebee ( I think it is...).

But chromium-30.0.1599.101-i486.sfs errors on my Puppy Precise-5.5.X.5:
Too damn many Puppies.! It must drive you app builders nutty.! Rolling Eyes
Code:
[8239:8313:1203/235450:FATAL:nss_util.cc(396)] NSS_VersionCheck("3.14.3") failed. NSS >= 3.14.3 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.
Aborted
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Wed 04 Dec 2013, 03:19    Post_subject:  

sunburnt wrote:
Code:
[8239:8313:1203/235450:FATAL:nss_util.cc(396)] NSS_VersionCheck("3.14.3") failed. NSS >= 3.14.3 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.Aborted

Hi sunburnt

I think your error message says it all - the 30.0.1599 Chromium demands a later version of NSS than you have in the Puppy version you are using.

You have 3 options:
- stay with the older version of Chromium that works
- move to a more up-to-date Puppy
- try to update NSS to the required version

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 3 of 8 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0884s ][ Queries: 13 (0.0094s) ][ GZIP on ]